Subject: Re: [Q] Encrypted GIT?

From: David Brown <[email-masked]>
Date: Thu, 13 Mar 2008 10:43:28 -0700

On Thu, Mar 13, 2008 at 12:55:11PM +0100, Johannes Schindelin wrote:

>The latter can be remedied (somewhat) by encrypting each object 
>individually.  In that case, .gitattributes can help (you should be able 
>to find a mail to that extent, which I sent no more than 2 weeks ago).  
>However, you must make sure that the encryption is repeatable, i.e. two 
>different encryption runs _must_ result in _identical_ output.

Any decent file encryption program will never have this characteristic.
It's normally a bad idea from a security perspective.

David